SDL_HINT_JOYSTICK_ROG_CHAKRAM(3)

NAME
SDL_HINT_JOYSTICK_ROG_CHAKRAM - A variable controlling whether the ROG Chakram mice should show up as joysticks.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_ROG_CHAKRAM SDL_JOYSTICK_ROG_CHAKRAM"

DESCRIPTION
The variable can be set to the following values:

• "0": ROG Chakram mice do not show up as joysticks. (default)

• "1": ROG Chakram mice show up as joysticks.

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.